## GstPlaySignalAdapter

    GObject
        ╰──GstPlaySignalAdapter

Since : 1.20

### Class structure

#### GstPlaySignalAdapterClass

### GstPlay.PlaySignalAdapterClass

## GstPlay.PlaySignalAdapter

    GObject.Object
        ╰──GstPlay.PlaySignalAdapter

Since : 1.20

## GstPlay.PlaySignalAdapter

    GObject.Object
        ╰──GstPlay.PlaySignalAdapter

Since : 1.20

### Constructors

#### gst_play_signal_adapter_new

    GstPlaySignalAdapter *
    gst_play_signal_adapter_new (GstPlay * play)

A bus-watching GSource will be created and attached to the the thread-default GMainContext. The attached callback will emit the corresponding signal for the message received. Matching signals for play messages from the bus will be emitted by it on the created adapter object.

Parameters:

`play` ( [transfer: none]) –

GstPlay instance to emit signals for.

Returns ( [transfer: full]) –

A new GstPlaySignalAdapter to connect signal handlers to.

Since : 1.20

#### GstPlay.PlaySignalAdapter.prototype.new

    function GstPlay.PlaySignalAdapter.prototype.new(play: GstPlay.Play): {
        // javascript wrapper for 'gst_play_signal_adapter_new'
    }

A bus-watching GSource (not introspectable) will be created and attached to the the thread-default GMainContext (not introspectable). The attached callback will emit the corresponding signal for the message received. Matching signals for play messages from the bus will be emitted by it on the created adapter object.

Parameters:

`play` (GstPlay.Play) –

GstPlay.Play instance to emit signals for.

Returns (GstPlay.PlaySignalAdapter) –

A new GstPlay.PlaySignalAdapter to connect signal handlers to.

Since : 1.20

#### GstPlay.PlaySignalAdapter.new

    def GstPlay.PlaySignalAdapter.new (play):
        #python wrapper for 'gst_play_signal_adapter_new'

A bus-watching GSource (not introspectable) will be created and attached to the the thread-default GMainContext (not introspectable). The attached callback will emit the corresponding signal for the message received. Matching signals for play messages from the bus will be emitted by it on the created adapter object.

Parameters:

`play` (GstPlay.Play) –

GstPlay.Play instance to emit signals for.

Returns (GstPlay.PlaySignalAdapter) –

A new GstPlay.PlaySignalAdapter to connect signal handlers to.

Since : 1.20

#### gst_play_signal_adapter_new_sync_emit

    GstPlaySignalAdapter *
    gst_play_signal_adapter_new_sync_emit (GstPlay * play)

Create an adapter that synchronously emits its signals, from the thread in which the messages have been posted.

Parameters:

`play` ( [transfer: none]) –

GstPlay instance to emit signals for.

Returns ( [transfer: full]) –

A new GstPlaySignalAdapter to connect signal handlers to.

Since : 1.20

#### GstPlay.PlaySignalAdapter.prototype.new_sync_emit

    function GstPlay.PlaySignalAdapter.prototype.new_sync_emit(play: GstPlay.Play): {
        // javascript wrapper for 'gst_play_signal_adapter_new_sync_emit'
    }

Create an adapter that synchronously emits its signals, from the thread in which the messages have been posted.

Parameters:

`play` (GstPlay.Play) –

GstPlay.Play instance to emit signals for.

Returns (GstPlay.PlaySignalAdapter) –

A new GstPlay.PlaySignalAdapter to connect signal handlers to.

Since : 1.20

#### GstPlay.PlaySignalAdapter.new_sync_emit

    def GstPlay.PlaySignalAdapter.new_sync_emit (play):
        #python wrapper for 'gst_play_signal_adapter_new_sync_emit'

Create an adapter that synchronously emits its signals, from the thread in which the messages have been posted.

Parameters:

`play` (GstPlay.Play) –

GstPlay.Play instance to emit signals for.

Returns (GstPlay.PlaySignalAdapter) –

A new GstPlay.PlaySignalAdapter to connect signal handlers to.

Since : 1.20

#### gst_play_signal_adapter_new_with_main_context

    GstPlaySignalAdapter *
    gst_play_signal_adapter_new_with_main_context (GstPlay * play,
                                                   GMainContext * context)

A bus-watching GSource will be created and attached to the context. The attached callback will emit the corresponding signal for the message received. Matching signals for play messages from the bus will be emitted by it on the created adapter object.

Parameters:

`play` ( [transfer: none]) –

GstPlay instance to emit signals for.

`context` –

A GMainContext on which the main-loop will process play bus messages on.

Returns ( [transfer: full]) –

A new GstPlaySignalAdapter to connect signal handlers to.

Since : 1.20

#### GstPlay.PlaySignalAdapter.prototype.new_with_main_context

    function GstPlay.PlaySignalAdapter.prototype.new_with_main_context(play: GstPlay.Play, context: GMainContext (not introspectable)): {
        // javascript wrapper for 'gst_play_signal_adapter_new_with_main_context'
    }

A bus-watching GSource (not introspectable) will be created and attached to the context. The attached callback will emit the corresponding signal for the message received. Matching signals for play messages from the bus will be emitted by it on the created adapter object.

Parameters:

`play` (GstPlay.Play) –

GstPlay.Play instance to emit signals for.

`context` (GMainContext (not introspectable)) –

A GMainContext (not introspectable) on which the main-loop will process play bus messages on.

Returns (GstPlay.PlaySignalAdapter) –

A new GstPlay.PlaySignalAdapter to connect signal handlers to.

Since : 1.20

#### GstPlay.PlaySignalAdapter.new_with_main_context

    def GstPlay.PlaySignalAdapter.new_with_main_context (play, context):
        #python wrapper for 'gst_play_signal_adapter_new_with_main_context'

A bus-watching GSource (not introspectable) will be created and attached to the context. The attached callback will emit the corresponding signal for the message received. Matching signals for play messages from the bus will be emitted by it on the created adapter object.

Parameters:

`play` (GstPlay.Play) –

GstPlay.Play instance to emit signals for.

`context` (GMainContext (not introspectable)) –

A GMainContext (not introspectable) on which the main-loop will process play bus messages on.

Returns (GstPlay.PlaySignalAdapter) –

A new GstPlay.PlaySignalAdapter to connect signal handlers to.

Since : 1.20

### Methods

#### gst_play_signal_adapter_get_play

    GstPlay *
    gst_play_signal_adapter_get_play (GstPlaySignalAdapter * adapter)

Parameters:

`adapter` –

GstPlaySignalAdapter instance

Returns ( [transfer: none]) –

The GstPlay owning this signal adapter.

Since : 1.20

#### GstPlay.PlaySignalAdapter.prototype.get_play

    function GstPlay.PlaySignalAdapter.prototype.get_play(): {
        // javascript wrapper for 'gst_play_signal_adapter_get_play'
    }

Parameters:

`adapter` (GstPlay.PlaySignalAdapter) –

GstPlay.PlaySignalAdapter instance

Returns (GstPlay.Play) –

The GstPlay.Play owning this signal adapter.

Since : 1.20

#### GstPlay.PlaySignalAdapter.get_play

    def GstPlay.PlaySignalAdapter.get_play (self):
        #python wrapper for 'gst_play_signal_adapter_get_play'

Parameters:

`adapter` (GstPlay.PlaySignalAdapter) –

GstPlay.PlaySignalAdapter instance

Returns (GstPlay.Play) –

The GstPlay.Play owning this signal adapter.

Since : 1.20

### Signals

#### buffering

    buffering_callback (GstPlaySignalAdapter * self,
                        gint object,
                        gpointer user_data)

Parameters:

`self` –
No description available
`object` –
No description available
`user_data` –
No description available

Flags: Run Last / No Hooks

#### buffering

    function buffering_callback(self: GstPlay.PlaySignalAdapter, object: Number, user_data: Object): {
        // javascript callback for the 'buffering' signal
    }

Parameters:

`self` (GstPlay.PlaySignalAdapter) –
No description available
`object` (Number) –
No description available
`user_data` (Object) –
No description available

Flags: Run Last / No Hooks

#### buffering

    def buffering_callback (self, object, *user_data):
        #python callback for the 'buffering' signal

Parameters:

`self` (GstPlay.PlaySignalAdapter) –
No description available
`object` (int) –
No description available
`user_data` (variadic) –
No description available

Flags: Run Last / No Hooks

#### duration-changed

    duration_changed_callback (GstPlaySignalAdapter * self,
                               guint64 object,
                               gpointer user_data)

Parameters:

`self` –
No description available
`object` –
No description available
`user_data` –
No description available

Flags: Run Last / No Hooks

#### duration-changed

    function duration_changed_callback(self: GstPlay.PlaySignalAdapter, object: Number, user_data: Object): {
        // javascript callback for the 'duration-changed' signal
    }

Parameters:

`self` (GstPlay.PlaySignalAdapter) –
No description available
`object` (Number) –
No description available
`user_data` (Object) –
No description available

Flags: Run Last / No Hooks

#### duration-changed

    def duration_changed_callback (self, object, *user_data):
        #python callback for the 'duration-changed' signal

Parameters:

`self` (GstPlay.PlaySignalAdapter) –
No description available
`object` (int) –
No description available
`user_data` (variadic) –
No description available

Flags: Run Last / No Hooks

#### end-of-stream

    end_of_stream_callback (GstPlaySignalAdapter * self,
                            gpointer user_data)

Parameters:

`self` –
No description available
`user_data` –
No description available

Flags: Run Last / No Hooks

#### end-of-stream

    function end_of_stream_callback(self: GstPlay.PlaySignalAdapter, user_data: Object): {
        // javascript callback for the 'end-of-stream' signal
    }

Parameters:

`self` (GstPlay.PlaySignalAdapter) –
No description available
`user_data` (Object) –
No description available

Flags: Run Last / No Hooks

#### end-of-stream

    def end_of_stream_callback (self, *user_data):
        #python callback for the 'end-of-stream' signal

Parameters:

`self` (GstPlay.PlaySignalAdapter) –
No description available
`user_data` (variadic) –
No description available

Flags: Run Last / No Hooks

#### error

    error_callback (GstPlaySignalAdapter * self,
                    GError * error,
                    GstStructure * details,
                    gpointer user_data)

Emitted on errors.

Parameters:

`self` –
No description available
`error` –

The error

`details` ( [nullable]) –

Additional error details

`user_data` –
No description available

Flags: Run Last / No Hooks

#### error

    function error_callback(self: GstPlay.PlaySignalAdapter, error: GError (not introspectable), details: Gst.Structure, user_data: Object): {
        // javascript callback for the 'error' signal
    }

Emitted on errors.

Parameters:

`self` (GstPlay.PlaySignalAdapter) –
No description available
`error` (GError (not introspectable)) –

The error

`details` (Gst.Structure) –

Additional error details

`user_data` (Object) –
No description available

Flags: Run Last / No Hooks

#### error

    def error_callback (self, error, details, *user_data):
        #python callback for the 'error' signal

Emitted on errors.

Parameters:

`self` (GstPlay.PlaySignalAdapter) –
No description available
`error` (GError (not introspectable)) –

The error

`details` (Gst.Structure) –

Additional error details

`user_data` (variadic) –
No description available

Flags: Run Last / No Hooks

#### media-info-updated

    media_info_updated_callback (GstPlaySignalAdapter * self,
                                 GstPlayMediaInfo * object,
                                 gpointer user_data)

Parameters:

`self` –
No description available
`object` –
No description available
`user_data` –
No description available

Flags: Run Last / No Hooks

#### media-info-updated

    function media_info_updated_callback(self: GstPlay.PlaySignalAdapter, object: GstPlay.PlayMediaInfo, user_data: Object): {
        // javascript callback for the 'media-info-updated' signal
    }

Parameters:

`self` (GstPlay.PlaySignalAdapter) –
No description available
`object` (GstPlay.PlayMediaInfo) –
No description available
`user_data` (Object) –
No description available

Flags: Run Last / No Hooks

#### media-info-updated

    def media_info_updated_callback (self, object, *user_data):
        #python callback for the 'media-info-updated' signal

Parameters:

`self` (GstPlay.PlaySignalAdapter) –
No description available
`object` (GstPlay.PlayMediaInfo) –
No description available
`user_data` (variadic) –
No description available

Flags: Run Last / No Hooks

#### mute-changed

    mute_changed_callback (GstPlaySignalAdapter * self,
                           gboolean object,
                           gpointer user_data)

Parameters:

`self` –
No description available
`object` –
No description available
`user_data` –
No description available

Flags: Run Last / No Hooks

#### mute-changed

    function mute_changed_callback(self: GstPlay.PlaySignalAdapter, object: Number, user_data: Object): {
        // javascript callback for the 'mute-changed' signal
    }

Parameters:

`self` (GstPlay.PlaySignalAdapter) –
No description available
`object` (Number) –
No description available
`user_data` (Object) –
No description available

Flags: Run Last / No Hooks

#### mute-changed

    def mute_changed_callback (self, object, *user_data):
        #python callback for the 'mute-changed' signal

Parameters:

`self` (GstPlay.PlaySignalAdapter) –
No description available
`object` (bool) –
No description available
`user_data` (variadic) –
No description available

Flags: Run Last / No Hooks

#### position-updated

    position_updated_callback (GstPlaySignalAdapter * self,
                               guint64 object,
                               gpointer user_data)

Parameters:

`self` –
No description available
`object` –
No description available
`user_data` –
No description available

Flags: Run Last / No Hooks

#### position-updated

    function position_updated_callback(self: GstPlay.PlaySignalAdapter, object: Number, user_data: Object): {
        // javascript callback for the 'position-updated' signal
    }

Parameters:

`self` (GstPlay.PlaySignalAdapter) –
No description available
`object` (Number) –
No description available
`user_data` (Object) –
No description available

Flags: Run Last / No Hooks

#### position-updated

    def position_updated_callback (self, object, *user_data):
        #python callback for the 'position-updated' signal

Parameters:

`self` (GstPlay.PlaySignalAdapter) –
No description available
`object` (int) –
No description available
`user_data` (variadic) –
No description available

Flags: Run Last / No Hooks

#### seek-done

    seek_done_callback (GstPlaySignalAdapter * self,
                        guint64 object,
                        gpointer user_data)

Parameters:

`self` –
No description available
`object` –
No description available
`user_data` –
No description available

Flags: Run Last / No Hooks

#### seek-done

    function seek_done_callback(self: GstPlay.PlaySignalAdapter, object: Number, user_data: Object): {
        // javascript callback for the 'seek-done' signal
    }

Parameters:

`self` (GstPlay.PlaySignalAdapter) –
No description available
`object` (Number) –
No description available
`user_data` (Object) –
No description available

Flags: Run Last / No Hooks

#### seek-done

    def seek_done_callback (self, object, *user_data):
        #python callback for the 'seek-done' signal

Parameters:

`self` (GstPlay.PlaySignalAdapter) –
No description available
`object` (int) –
No description available
`user_data` (variadic) –
No description available

Flags: Run Last / No Hooks

#### state-changed

    state_changed_callback (GstPlaySignalAdapter * self,
                            GstPlayState * object,
                            gpointer user_data)

Parameters:

`self` –
No description available
`object` –
No description available
`user_data` –
No description available

Flags: Run Last / No Hooks

#### state-changed

    function state_changed_callback(self: GstPlay.PlaySignalAdapter, object: GstPlay.PlayState, user_data: Object): {
        // javascript callback for the 'state-changed' signal
    }

Parameters:

`self` (GstPlay.PlaySignalAdapter) –
No description available
`object` (GstPlay.PlayState) –
No description available
`user_data` (Object) –
No description available

Flags: Run Last / No Hooks

#### state-changed

    def state_changed_callback (self, object, *user_data):
        #python callback for the 'state-changed' signal

Parameters:

`self` (GstPlay.PlaySignalAdapter) –
No description available
`object` (GstPlay.PlayState) –
No description available
`user_data` (variadic) –
No description available

Flags: Run Last / No Hooks

#### uri-loaded

    uri_loaded_callback (GstPlaySignalAdapter * self,
                         gchar * object,
                         gpointer user_data)

Parameters:

`self` –
No description available
`object` –
No description available
`user_data` –
No description available

Flags: Run Last / No Hooks

#### uri-loaded

    function uri_loaded_callback(self: GstPlay.PlaySignalAdapter, object: String, user_data: Object): {
        // javascript callback for the 'uri-loaded' signal
    }

Parameters:

`self` (GstPlay.PlaySignalAdapter) –
No description available
`object` (String) –
No description available
`user_data` (Object) –
No description available

Flags: Run Last / No Hooks

#### uri-loaded

    def uri_loaded_callback (self, object, *user_data):
        #python callback for the 'uri-loaded' signal

Parameters:

`self` (GstPlay.PlaySignalAdapter) –
No description available
`object` (str) –
No description available
`user_data` (variadic) –
No description available

Flags: Run Last / No Hooks

#### video-dimensions-changed

    video_dimensions_changed_callback (GstPlaySignalAdapter * self,
                                       guint object,
                                       guint p0,
                                       gpointer user_data)

Parameters:

`self` –
No description available
`object` –
No description available
`p0` –
No description available
`user_data` –
No description available

Flags: Run Last / No Hooks

#### video-dimensions-changed

    function video_dimensions_changed_callback(self: GstPlay.PlaySignalAdapter, object: Number, p0: Number, user_data: Object): {
        // javascript callback for the 'video-dimensions-changed' signal
    }

Parameters:

`self` (GstPlay.PlaySignalAdapter) –
No description available
`object` (Number) –
No description available
`p0` (Number) –
No description available
`user_data` (Object) –
No description available

Flags: Run Last / No Hooks

#### video-dimensions-changed

    def video_dimensions_changed_callback (self, object, p0, *user_data):
        #python callback for the 'video-dimensions-changed' signal

Parameters:

`self` (GstPlay.PlaySignalAdapter) –
No description available
`object` (int) –
No description available
`p0` (int) –
No description available
`user_data` (variadic) –
No description available

Flags: Run Last / No Hooks

#### volume-changed

    volume_changed_callback (GstPlaySignalAdapter * self,
                             gdouble object,
                             gpointer user_data)

Parameters:

`self` –
No description available
`object` –
No description available
`user_data` –
No description available

Flags: Run Last / No Hooks

#### volume-changed

    function volume_changed_callback(self: GstPlay.PlaySignalAdapter, object: Number, user_data: Object): {
        // javascript callback for the 'volume-changed' signal
    }

Parameters:

`self` (GstPlay.PlaySignalAdapter) –
No description available
`object` (Number) –
No description available
`user_data` (Object) –
No description available

Flags: Run Last / No Hooks

#### volume-changed

    def volume_changed_callback (self, object, *user_data):
        #python callback for the 'volume-changed' signal

Parameters:

`self` (GstPlay.PlaySignalAdapter) –
No description available
`object` (float) –
No description available
`user_data` (variadic) –
No description available

Flags: Run Last / No Hooks

#### warning

    warning_callback (GstPlaySignalAdapter * self,
                      GError * error,
                      GstStructure * details,
                      gpointer user_data)

Emitted on warnings.

Parameters:

`self` –
No description available
`error` –

The warning

`details` ( [nullable]) –

Additional warning details

`user_data` –
No description available

Flags: Run Last / No Hooks

#### warning

    function warning_callback(self: GstPlay.PlaySignalAdapter, error: GError (not introspectable), details: Gst.Structure, user_data: Object): {
        // javascript callback for the 'warning' signal
    }

Emitted on warnings.

Parameters:

`self` (GstPlay.PlaySignalAdapter) –
No description available
`error` (GError (not introspectable)) –

The warning

`details` (Gst.Structure) –

Additional warning details

`user_data` (Object) –
No description available

Flags: Run Last / No Hooks

#### warning

    def warning_callback (self, error, details, *user_data):
        #python callback for the 'warning' signal

Emitted on warnings.

Parameters:

`self` (GstPlay.PlaySignalAdapter) –
No description available
`error` (GError (not introspectable)) –

The warning

`details` (Gst.Structure) –

Additional warning details

`user_data` (variadic) –
No description available

Flags: Run Last / No Hooks

### Properties

#### play

    “play” GstPlay *

Flags : Read

#### play

    “play” GstPlay.Play

Flags : Read

#### play

    “self.props.play” GstPlay.Play

Flags : Read

The results of the search are